package com.yonge.cooleshow.biz.dal.dto;

import com.yonge.cooleshow.biz.dal.entity.CourseRelationMusicAlbum;
import com.yonge.cooleshow.biz.dal.entity.VideoLessonGroupDetail;
import com.yonge.cooleshow.biz.dal.wrapper.course.CourseRelationWrapper;
import io.swagger.annotations.ApiModelProperty;

import java.util.ArrayList;
import java.util.List;


public class VideoLessonGroupDetailDto extends VideoLessonGroupDetail {

    @ApiModelProperty("关联信息(更新或新增)")
    private List<CourseMusicAlbumRelationDto> relationList;

    @ApiModelProperty("关联曲目/专辑信息(查看) ")
    private List<CourseRelationWrapper.MusicAlbumInfo> musicAlbumInfos;


    @ApiModelProperty(value = "数据库保存json数据",hidden = true)
    private List<CourseRelationMusicAlbum> courseRelationMusicAlbumList = new ArrayList<>();


    public List<CourseRelationMusicAlbum> getCourseRelationMusicAlbumList() {
        return courseRelationMusicAlbumList;
    }

    public void setCourseRelationMusicAlbumList(List<CourseRelationMusicAlbum> courseRelationMusicAlbumList) {
        this.courseRelationMusicAlbumList = courseRelationMusicAlbumList;
    }

    public List<CourseMusicAlbumRelationDto> getRelationList() {
        return relationList;
    }

    public void setRelationList(List<CourseMusicAlbumRelationDto> relationList) {
        this.relationList = relationList;
    }

    public List<CourseRelationWrapper.MusicAlbumInfo> getMusicAlbumInfos() {
        return musicAlbumInfos;
    }

    public void setMusicAlbumInfos(List<CourseRelationWrapper.MusicAlbumInfo> musicAlbumInfos) {
        this.musicAlbumInfos = musicAlbumInfos;
    }
}